<html>
<head>
<title>Ogre::SmallVectorBase Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1SmallVectorBase.html">SmallVectorBase</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::SmallVectorBase Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::SmallVectorBase" -->
<p><a class="el" href="classOgre_1_1SmallVectorBase.html" title="SmallVectorBase - This is all the non-templated stuff common to all SmallVectors.">SmallVectorBase</a> - This is all the non-templated stuff common to all SmallVectors.  
 <a href="classOgre_1_1SmallVectorBase.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreSmallVector_8h_source.html">OgreSmallVector.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::SmallVectorBase:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1SmallVectorBase__inherit__graph.gif" border="0" usemap="#Ogre_1_1SmallVectorBase_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1SmallVectorBase_inherit__map" id="Ogre_1_1SmallVectorBase_inherit__map">
<area shape="rect" id="node3" href="classOgre_1_1SmallVectorTemplateCommon.html" title="Ogre::SmallVectorTemplateCommon\&lt; T \&gt;" alt="" coords="248,85,515,115"/><area shape="rect" id="node13" href="classOgre_1_1SmallVectorTemplateCommon.html" title="Ogre::SmallVectorTemplateCommon\&lt; PMTriangle * \&gt;" alt="" coords="215,165,548,195"/><area shape="rect" id="node19" href="classOgre_1_1SmallVectorTemplateCommon.html" title="Ogre::SmallVectorTemplateCommon\&lt; PMVertex * \&gt;" alt="" coords="219,219,544,248"/><area shape="rect" id="node5" href="classOgre_1_1SmallVectorTemplateBase.html" title="SmallVectorTemplateBase&lt;isPodLike = false&gt; &#45; This is where we put method implementations that are desig..." alt="" coords="732,5,977,35"/><area shape="rect" id="node7" href="classOgre_1_1SmallVectorTemplateBase_3_01T_00_01true_01_4.html" title="SmallVectorTemplateBase&lt;isPodLike = true&gt; &#45; This is where we put method implementations that are design..." alt="" coords="717,59,992,88"/><area shape="rect" id="node9" href="classOgre_1_1SmallVectorTemplateBase.html" title="SmallVectorTemplateBase\&lt; T, isPodLike\&lt; T \&gt;::value \&gt;" alt="" coords="683,112,1027,141"/><area shape="rect" id="node11" href="classOgre_1_1SmallVectorImpl.html" title="SmallVectorImpl &#45; This class consists of common code factored out of the SmallVector class to reduce ..." alt="" coords="1193,112,1380,141"/><area shape="rect" id="node15" href="classOgre_1_1SmallVectorTemplateBase.html" title="Ogre::SmallVectorTemplateBase\&lt; PMTriangle *, isPodLike\&lt; PMTriangle * \&gt;::value \&gt;" alt="" coords="597,165,1112,195"/><area shape="rect" id="node17" href="classOgre_1_1SmallVectorImpl.html" title="Ogre::SmallVectorImpl\&lt; PMTriangle * \&gt;" alt="" coords="1160,165,1413,195"/><area shape="rect" id="node21" href="classOgre_1_1SmallVectorTemplateBase.html" title="Ogre::SmallVectorTemplateBase\&lt; PMVertex *, isPodLike\&lt; PMVertex * \&gt;::value \&gt;" alt="" coords="605,219,1104,248"/><area shape="rect" id="node23" href="classOgre_1_1SmallVectorImpl.html" title="Ogre::SmallVectorImpl\&lt; PMVertex * \&gt;" alt="" coords="1164,219,1409,248"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1SmallVectorBase-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">union &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="unionOgre_1_1SmallVectorBase_1_1U.html">U</a></td></tr>
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SmallVectorBase.html#aea4a8480bd586e4ab91dcf8291b576c3">empty</a> () const </td></tr>
<tr><td colspan="2"><h2><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SmallVectorBase.html#a68c22c33f16412a09e6d8edc3ace6d86">SmallVectorBase</a> (size_t Size)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SmallVectorBase.html#a35d115639af38102c992883c14e51070">isSmall</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">isSmall - Return true if this is a smallvector which has not had dynamic memory allocated for it.  <a href="#a35d115639af38102c992883c14e51070"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SmallVectorBase.html#ad4f1ec73633bd388e6dba1bdaefdd3b1">size_in_bytes</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">size_in_bytes - This returns size()*sizeof(T).  <a href="#ad4f1ec73633bd388e6dba1bdaefdd3b1"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SmallVectorBase.html#acaeefe578ca6a0597d8ff524a95b808e">capacity_in_bytes</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">capacity_in_bytes - This returns capacity()*sizeof(T).  <a href="#acaeefe578ca6a0597d8ff524a95b808e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SmallVectorBase.html#ad760f5d166d2693f86adf4166130aadc">grow_pod</a> (size_t MinSizeInBytes, size_t TSize)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">grow_pod - This is an implementation of the grow() method which only works  <a href="#ad760f5d166d2693f86adf4166130aadc"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SmallVectorBase.html#aa70d867a06b2a1bd08243376d635cc3e">BeginX</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SmallVectorBase.html#a2871c527843176dbbe6b7a75c2074778">EndX</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SmallVectorBase.html#afe2388747f521a0e3222848a22c98e7c">CapacityX</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">union <a class="el" href="unionOgre_1_1SmallVectorBase_1_1U.html">Ogre::SmallVectorBase::U</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SmallVectorBase.html#ac473944a005da07efa72b8dce19f1ce1">FirstEl</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p><a class="el" href="classOgre_1_1SmallVectorBase.html" title="SmallVectorBase - This is all the non-templated stuff common to all SmallVectors.">SmallVectorBase</a> - This is all the non-templated stuff common to all SmallVectors. </p>

<p>Definition at line <a class="el" href="OgreSmallVector_8h_source.html#l00116">116</a> of file <a class="el" href="OgreSmallVector_8h_source.html">OgreSmallVector.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a68c22c33f16412a09e6d8edc3ace6d86"></a><!-- doxytag: member="Ogre::SmallVectorBase::SmallVectorBase" ref="a68c22c33f16412a09e6d8edc3ace6d86" args="(size_t Size)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SmallVectorBase.html#a68c22c33f16412a09e6d8edc3ace6d86">Ogre::SmallVectorBase::SmallVectorBase</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>Size</em></td><td>)</td>
          <td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSmallVector_8h_source.html#l00134">134</a> of file <a class="el" href="OgreSmallVector_8h_source.html">OgreSmallVector.h</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="acaeefe578ca6a0597d8ff524a95b808e"></a><!-- doxytag: member="Ogre::SmallVectorBase::capacity_in_bytes" ref="acaeefe578ca6a0597d8ff524a95b808e" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1SmallVectorBase.html#acaeefe578ca6a0597d8ff524a95b808e">Ogre::SmallVectorBase::capacity_in_bytes</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>capacity_in_bytes - This returns capacity()*sizeof(T). </p>

<p>Definition at line <a class="el" href="OgreSmallVector_8h_source.html#l00149">149</a> of file <a class="el" href="OgreSmallVector_8h_source.html">OgreSmallVector.h</a>.</p>

<p>References <a class="el" href="OgreSmallVector_8h_source.html#l00118">BeginX</a>, and <a class="el" href="OgreSmallVector_8h_source.html#l00118">CapacityX</a>.</p>

</div>
</div>
<a class="anchor" id="aea4a8480bd586e4ab91dcf8291b576c3"></a><!-- doxytag: member="Ogre::SmallVectorBase::empty" ref="aea4a8480bd586e4ab91dcf8291b576c3" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1SmallVectorBase.html#aea4a8480bd586e4ab91dcf8291b576c3">Ogre::SmallVectorBase::empty</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSmallVector_8h_source.html#l00158">158</a> of file <a class="el" href="OgreSmallVector_8h_source.html">OgreSmallVector.h</a>.</p>

<p>References <a class="el" href="OgreSmallVector_8h_source.html#l00118">BeginX</a>, and <a class="el" href="OgreSmallVector_8h_source.html#l00118">EndX</a>.</p>

<p>Referenced by <a class="el" href="OgreSmallVector_8h_source.html#l00754">Ogre::SmallVector&lt; PMTriangle *, 8 &gt;::SmallVector()</a>.</p>

</div>
</div>
<a class="anchor" id="ad760f5d166d2693f86adf4166130aadc"></a><!-- doxytag: member="Ogre::SmallVectorBase::grow_pod" ref="ad760f5d166d2693f86adf4166130aadc" args="(size_t MinSizeInBytes, size_t TSize)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1SmallVectorBase.html#ad760f5d166d2693f86adf4166130aadc">Ogre::SmallVectorBase::grow_pod</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>MinSizeInBytes</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>TSize</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>grow_pod - This is an implementation of the grow() method which only works </p>
<p>on POD-like data types and is out of line to reduce code duplication. </p>

<p>Referenced by <a class="el" href="OgreSmallVector_8h_source.html#l00317">Ogre::SmallVectorTemplateBase&lt; T, true &gt;::grow()</a>.</p>

</div>
</div>
<a class="anchor" id="a35d115639af38102c992883c14e51070"></a><!-- doxytag: member="Ogre::SmallVectorBase::isSmall" ref="a35d115639af38102c992883c14e51070" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1SmallVectorBase.html#a35d115639af38102c992883c14e51070">Ogre::SmallVectorBase::isSmall</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>isSmall - Return true if this is a smallvector which has not had dynamic memory allocated for it. </p>

<p>Definition at line <a class="el" href="OgreSmallVector_8h_source.html#l00139">139</a> of file <a class="el" href="OgreSmallVector_8h_source.html">OgreSmallVector.h</a>.</p>

<p>References <a class="el" href="OgreSmallVector_8h_source.html#l00118">BeginX</a>, and <a class="el" href="classOgre_1_1SmallVectorBase.html#ac473944a005da07efa72b8dce19f1ce1">FirstEl</a>.</p>

<p>Referenced by <a class="el" href="OgreSmallVector_8h_source.html#l00622">Ogre::SmallVectorImpl&lt; T &gt;::swap()</a>, and <a class="el" href="OgreSmallVector_8h_source.html#l00340">Ogre::SmallVectorImpl&lt; PMVertex * &gt;::~SmallVectorImpl()</a>.</p>

</div>
</div>
<a class="anchor" id="ad4f1ec73633bd388e6dba1bdaefdd3b1"></a><!-- doxytag: member="Ogre::SmallVectorBase::size_in_bytes" ref="ad4f1ec73633bd388e6dba1bdaefdd3b1" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1SmallVectorBase.html#ad4f1ec73633bd388e6dba1bdaefdd3b1">Ogre::SmallVectorBase::size_in_bytes</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>size_in_bytes - This returns size()*sizeof(T). </p>

<p>Definition at line <a class="el" href="OgreSmallVector_8h_source.html#l00144">144</a> of file <a class="el" href="OgreSmallVector_8h_source.html">OgreSmallVector.h</a>.</p>

<p>References <a class="el" href="OgreSmallVector_8h_source.html#l00118">BeginX</a>, and <a class="el" href="OgreSmallVector_8h_source.html#l00118">EndX</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="aa70d867a06b2a1bd08243376d635cc3e"></a><!-- doxytag: member="Ogre::SmallVectorBase::BeginX" ref="aa70d867a06b2a1bd08243376d635cc3e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1SmallVectorBase.html#aa70d867a06b2a1bd08243376d635cc3e">Ogre::SmallVectorBase::BeginX</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSmallVector_8h_source.html#l00118">118</a> of file <a class="el" href="OgreSmallVector_8h_source.html">OgreSmallVector.h</a>.</p>

<p>Referenced by <a class="el" href="OgreSmallVector_8h_source.html#l00184">Ogre::SmallVectorTemplateCommon&lt; PMVertex * &gt;::begin()</a>, <a class="el" href="OgreSmallVector_8h_source.html#l00149">capacity_in_bytes()</a>, <a class="el" href="OgreSmallVector_8h_source.html#l00350">Ogre::SmallVectorImpl&lt; PMVertex * &gt;::clear()</a>, <a class="el" href="OgreSmallVector_8h_source.html#l00158">empty()</a>, <a class="el" href="OgreSmallVector_8h_source.html#l00139">isSmall()</a>, <a class="el" href="OgreSmallVector_8h_source.html#l00144">size_in_bytes()</a>, and <a class="el" href="OgreSmallVector_8h_source.html#l00622">Ogre::SmallVectorImpl&lt; T &gt;::swap()</a>.</p>

</div>
</div>
<a class="anchor" id="afe2388747f521a0e3222848a22c98e7c"></a><!-- doxytag: member="Ogre::SmallVectorBase::CapacityX" ref="afe2388747f521a0e3222848a22c98e7c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void * <a class="el" href="classOgre_1_1SmallVectorBase.html#afe2388747f521a0e3222848a22c98e7c">Ogre::SmallVectorBase::CapacityX</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSmallVector_8h_source.html#l00118">118</a> of file <a class="el" href="OgreSmallVector_8h_source.html">OgreSmallVector.h</a>.</p>

<p>Referenced by <a class="el" href="OgreSmallVector_8h_source.html#l00149">capacity_in_bytes()</a>, <a class="el" href="OgreSmallVector_8h_source.html#l00189">Ogre::SmallVectorTemplateCommon&lt; PMVertex * &gt;::capacity_ptr()</a>, <a class="el" href="OgreSmallVector_8h_source.html#l00463">Ogre::SmallVectorImpl&lt; PMVertex * &gt;::insert()</a>, <a class="el" href="OgreSmallVector_8h_source.html#l00384">Ogre::SmallVectorImpl&lt; PMVertex * &gt;::push_back()</a>, and <a class="el" href="OgreSmallVector_8h_source.html#l00622">Ogre::SmallVectorImpl&lt; T &gt;::swap()</a>.</p>

</div>
</div>
<a class="anchor" id="a2871c527843176dbbe6b7a75c2074778"></a><!-- doxytag: member="Ogre::SmallVectorBase::EndX" ref="a2871c527843176dbbe6b7a75c2074778" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void * <a class="el" href="classOgre_1_1SmallVectorBase.html#a2871c527843176dbbe6b7a75c2074778">Ogre::SmallVectorBase::EndX</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSmallVector_8h_source.html#l00118">118</a> of file <a class="el" href="OgreSmallVector_8h_source.html">OgreSmallVector.h</a>.</p>

<p>Referenced by <a class="el" href="OgreSmallVector_8h_source.html#l00350">Ogre::SmallVectorImpl&lt; PMVertex * &gt;::clear()</a>, <a class="el" href="OgreSmallVector_8h_source.html#l00158">empty()</a>, <a class="el" href="OgreSmallVector_8h_source.html#l00186">Ogre::SmallVectorTemplateCommon&lt; PMVertex * &gt;::end()</a>, <a class="el" href="OgreSmallVector_8h_source.html#l00165">Ogre::SmallVectorTemplateCommon&lt; PMVertex * &gt;::setEnd()</a>, <a class="el" href="OgreSmallVector_8h_source.html#l00144">size_in_bytes()</a>, and <a class="el" href="OgreSmallVector_8h_source.html#l00622">Ogre::SmallVectorImpl&lt; T &gt;::swap()</a>.</p>

</div>
</div>
<a class="anchor" id="ac473944a005da07efa72b8dce19f1ce1"></a><!-- doxytag: member="Ogre::SmallVectorBase::FirstEl" ref="ac473944a005da07efa72b8dce19f1ce1" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">union <a class="el" href="unionOgre_1_1SmallVectorBase_1_1U.html">Ogre::SmallVectorBase::U</a>  <a class="el" href="classOgre_1_1SmallVectorBase.html#ac473944a005da07efa72b8dce19f1ce1">Ogre::SmallVectorBase::FirstEl</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Referenced by <a class="el" href="OgreSmallVector_8h_source.html#l00139">isSmall()</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreSmallVector_8h_source.html">OgreSmallVector.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:08
</p>
</body>
</html>
